//
// ServletResponse.java
//

package nyangau.se;

import java.net.*;
import java.io.*;
import java.util.*;

public class ServletResponse
  implements jakarta.servlet.ServletResponse
  {
  protected boolean committed = false;
  protected ServletOutputStream os;
  // interface jakarta.servlet.ServletResponse
//...sisCommitted:2:
public boolean isCommitted()
  {
  return committed;
  }
//...e
//...ssetContentType:2:
public void setContentType(String type)
  {
  // Not sure this makes sense for non HTTP Servlets
  }
//...e
//...ssetContentLength:2:
public void setContentLength(int length)
  {
  // Not sure this makes sense for non HTTP Servlets
  }
//...e
//...sgetOutputStream:2:
public jakarta.servlet.ServletOutputStream getOutputStream()
  throws IOException
  {
  return os;
  }
//...e
//...sgetWriter:2:
public PrintWriter getWriter()
  throws IOException
  {
  return new PrintWriter(os);
  }
//...e
  // other
//...sServletResponse:2:
public ServletResponse(ServletOutputStream servletOutputStream)
  {
  os = servletOutputStream;
  os.setResponse(this);
  }
//...e
//...sensureCommitted:2:
protected void ensureCommitted()
  throws IOException
  {
  committed = true;
  }
//...e
  }
