//
// ServletOutputStream.java
//

package nyangau.se;

import java.net.*;
import java.io.*;
import java.util.*;

public class ServletOutputStream extends jakarta.servlet.ServletOutputStream
  {
  ServletResponse resp;
  OutputStream os;
  // interface jakarta.servlet.ServletOutputStream
//...sprint:2:
public void print(String s)
  throws IOException
  {
  resp.ensureCommitted();
  byte[] ba = s.getBytes();
  os.write(ba, 0, ba.length);
  }
//...e
//...sprintln:2:
public void println()
  throws IOException
  {
  resp.ensureCommitted();
  os.write('\r');
  os.write('\n');
  }
//...e
//...sprintln:2:
public void println(String s)
  throws IOException
  {
  resp.ensureCommitted();
  byte[] ba = s.getBytes();
  os.write(ba, 0, ba.length);
  os.write('\r');
  os.write('\n');
  }
//...e
  // interface java.io.OutputStream
//...sclose:2:
public void close()
  throws IOException
  {
  resp.ensureCommitted();
  os.close();
  }
//...e
//...sflush:2:
public void flush()
  throws IOException
  {
  resp.ensureCommitted();
  os.flush();
  }
//...e
//...swrite:2:
public void write(byte[] b)
  throws IOException
  {
  resp.ensureCommitted();
  os.write(b);
  }
//...e
//...swrite:2:
public void write(byte[] b, int off, int len)
  throws IOException
  {
  resp.ensureCommitted();
  os.write(b, off, len);
  }
//...e
//...swrite:2:
public void write(int b)
  throws IOException
  {
  resp.ensureCommitted();
  os.write(b);
  }
//...e
  // other
//...sServletOutputStream:2:
public ServletOutputStream(OutputStream outputStream)
  {
  os = outputStream;
  }
//...e
//...ssetResponse:2:
public void setResponse(ServletResponse r)
  {
  resp = r;
  }
//...e
  }
