//
// ServletRequest.java
//

package nyangau.se;

import java.net.*;
import java.io.*;
import java.util.*;

public class ServletRequest
  implements jakarta.servlet.ServletRequest
  {
  protected String scheme;
  protected int port;
  protected String protocol;
  protected Dictionary<String,Vector<String>> parameters = new Hashtable<String,Vector<String>>();
  // interface jakarta.servlet.ServletRequest
//...sgetScheme:2:
public String getScheme()
  {
  return scheme;
  }
//...e
//...sgetServerPort:2:
public int getServerPort()
  {
  return port;
  }
//...e
//...sgetProtocol:2:
public String getProtocol()
  {
  return protocol;
  }
//...e
//...sgetParameter:2:
public String getParameter(String p)
  {
  Vector<String> v;
  if ( (v = parameters.get(p)) != null )
    return v.elementAt(0);
  else
    return null;
  }
//...e
//...sgetParameterNames:2:
public Enumeration<String> getParameterNames()
  {
  return parameters.keys();
  }
//...e
//...sgetParameterValues:2:
public String[] getParameterValues(String p)
  {
  Vector<String> v;
  if ( (v = parameters.get(p)) != null )
    {
    int l = v.size();
    String[] s = new String[l];
    for ( int i = 0; i < l; i++ )
      s[i] = v.elementAt(i);
    return s;
    }
  else
    return null;
  }
//...e
  }
